Bug 1390929 - Make foreman-debug(-proxy) aware of Puppet4
Summary: Make foreman-debug(-proxy) aware of Puppet4
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Foreman Debug
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: Unspecified
Assignee: Eric Helms
QA Contact: Lukas Pramuk
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-02 09:27 UTC by Lukas Pramuk
Modified: 2019-09-26 14:48 UTC (History)
4 users (show)

Fixed In Version: foreman-1.15.3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 16:40:35 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 17747 None None None 2016-12-19 18:30:23 UTC

Description Lukas Pramuk 2016-11-02 09:27:18 UTC
Description of problem:

Puppet4 files live in different locations than for Puppet3.
This tools needs changes to be able to handle them.

Expected result:
foreman-debug(-proxy) should grab puppet4 files too.

Comment 3 Stephen Benjamin 2016-12-19 18:30:21 UTC
Created redmine issue http://projects.theforeman.org/issues/17747 from this bug

Comment 4 pm-sat@redhat.com 2017-07-12 16:17:39 UTC
Upstream bug assigned to ehelms@redhat.com

Comment 5 pm-sat@redhat.com 2017-07-12 16:17:42 UTC
Upstream bug assigned to ehelms@redhat.com

Comment 6 pm-sat@redhat.com 2017-07-18 18:17:47 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/17747 has been resolved.

Comment 7 Lukas Pramuk 2017-10-11 09:49:39 UTC
VERIFIED.

@satellite-6.3.0-19.0.beta.el7sat.noarch
foreman-debug-1.15.4.5-2.el7sat.noarch

by following manual steps:

@puppet4 Satellite/Capsule:

# foreman-debug
Processing... (takes a while)

 HOSTNAME: <FQDN>
       OS: redhat
  RELEASE: Red Hat Enterprise Linux Server release 7.4 (Maipo)
  FOREMAN: 1.15.4.5
     RUBY: ruby 2.0.0p648 (2015-12-16) [x86_64-linux]
   PUPPET: 4.8.1
  DENIALS: 0


A debug file has been created: /tmp/foreman-debug-g2g2r.tar.xz (2332988 bytes)

To upload a tarball to our secure site, please use the -u option.

# tar -tf /tmp/foreman-debug-g2g2r.tar.xz | grep puppet
foreman-debug-g2g2r/etc/foreman-installer/scenarios.d/katello.migrations/161216113043-move_puppet_to_top_level.rb
foreman-debug-g2g2r/etc/foreman-installer/scenarios.d/satellite.migrations/161216113043-move_puppet_to_top_level.rb
foreman-debug-g2g2r/etc/foreman-installer/scenarios.d/foreman.migrations/20160607133050_foreman_proxy_puppetssh_rename.rb
foreman-debug-g2g2r/etc/foreman-installer/scenarios.d/foreman.migrations/20160906121542_puppetserver_whitelist.rb
foreman-debug-g2g2r/etc/foreman-installer/scenarios.d/foreman.migrations/20160518125928_foreman_proxy_puppetrun_rename.rb
foreman-debug-g2g2r/etc/foreman-installer/scenarios.d/foreman.migrations/20160420224417_puppet_autosign.rb
foreman-debug-g2g2r/etc/foreman-installer/scenarios.d/foreman-proxy-content.migrations/160115120000-capsule-puppet.rb
foreman-debug-g2g2r/etc/foreman-installer/scenarios.d/foreman-proxy-content.migrations/161216113043-move_puppet_to_top_level.rb
foreman-debug-g2g2r/etc/foreman-installer/scenarios.d/capsule.migrations/160115120000-capsule-puppet.rb
foreman-debug-g2g2r/etc/foreman-installer/scenarios.d/capsule.migrations/161216113043-move_puppet_to_top_level.rb
foreman-debug-g2g2r/etc/pulp/server/plugins.conf.d/puppet_importer.json
foreman-debug-g2g2r/etc/puppetlabs/
foreman-debug-g2g2r/etc/puppetlabs/puppetserver/
foreman-debug-g2g2r/etc/puppetlabs/puppetserver/conf.d/
foreman-debug-g2g2r/etc/puppetlabs/puppetserver/conf.d/webserver.conf
foreman-debug-g2g2r/etc/puppetlabs/puppetserver/conf.d/puppetserver.conf
foreman-debug-g2g2r/etc/puppetlabs/puppetserver/conf.d/web-routes.conf
foreman-debug-g2g2r/etc/puppetlabs/puppetserver/conf.d/global.conf
foreman-debug-g2g2r/etc/puppetlabs/puppetserver/conf.d/product.conf
foreman-debug-g2g2r/etc/puppetlabs/puppetserver/conf.d/auth.conf
foreman-debug-g2g2r/etc/puppetlabs/puppet/
foreman-debug-g2g2r/etc/puppetlabs/puppet/puppet.conf
foreman-debug-g2g2r/etc/puppetlabs/puppet/ssl/
foreman-debug-g2g2r/etc/puppetlabs/puppet/ssl/ca/
foreman-debug-g2g2r/etc/puppetlabs/puppet/ssl/ca/inventory.txt
foreman-debug-g2g2r/etc/puppetlabs/puppet/ssl/certs/
foreman-debug-g2g2r/etc/puppetlabs/puppet/ssl/certs/ca.pem
foreman-debug-g2g2r/etc/puppetlabs/puppet/ssl/certs/<FQDN>.pem
foreman-debug-g2g2r/etc/puppetlabs/puppet/auth.conf
foreman-debug-g2g2r/etc/profile.d/puppet-agent.sh
foreman-debug-g2g2r/etc/profile.d/puppet-agent.csh
foreman-debug-g2g2r/etc/foreman-proxy/settings.d/puppet.yml
foreman-debug-g2g2r/etc/foreman-proxy/settings.d/puppet_proxy_mcollective.yml
foreman-debug-g2g2r/etc/foreman-proxy/settings.d/puppetca.yml
foreman-debug-g2g2r/etc/foreman-proxy/settings.d/puppet_proxy_legacy.yml
foreman-debug-g2g2r/etc/foreman-proxy/settings.d/puppet_proxy_puppet_api.yml
foreman-debug-g2g2r/etc/foreman-proxy/settings.d/puppet_proxy_ssh.yml
foreman-debug-g2g2r/etc/foreman-proxy/settings.d/puppet_proxy_puppetrun.yml
foreman-debug-g2g2r/etc/foreman-proxy/settings.d/puppet_proxy_customrun.yml
foreman-debug-g2g2r/etc/foreman-proxy/settings.d/puppet_proxy_salt.yml
foreman-debug-g2g2r/etc/httpd/conf.d/pulp_puppet.conf
foreman-debug-g2g2r/var/log/puppetlabs/
foreman-debug-g2g2r/var/log/puppetlabs/puppetserver/
foreman-debug-g2g2r/var/log/puppetlabs/puppetserver/puppetserver-access-2017-10-01.0.log.gz.txt
foreman-debug-g2g2r/var/log/puppetlabs/puppetserver/puppetserver-2017-10-06.0.log.gz.txt
foreman-debug-g2g2r/var/log/puppetlabs/puppetserver/puppetserver-access-2017-09-12.0.log.gz.txt
foreman-debug-g2g2r/var/log/puppetlabs/puppetserver/puppetserver-2017-09-15.0.log.gz.txt
foreman-debug-g2g2r/var/log/puppetlabs/puppetserver/puppetserver-access-2017-10-09.0.log.gz.txt
foreman-debug-g2g2r/var/log/puppetlabs/puppetserver/puppetserver-access-2017-09-25.0.log.gz.txt
foreman-debug-g2g2r/var/log/puppetlabs/puppetserver/puppetserver-access-2017-09-27.0.log.gz.txt
foreman-debug-g2g2r/var/log/puppetlabs/puppetserver/puppetserver-2017-10-10.0.log.gz.txt
foreman-debug-g2g2r/var/log/puppetlabs/puppetserver/puppetserver-2017-10-05.0.log.gz.txt
foreman-debug-g2g2r/var/log/puppetlabs/puppetserver/puppetserver-2017-10-04.0.log.gz.txt
foreman-debug-g2g2r/var/log/puppetlabs/puppetserver/puppetserver-access-2017-09-20.0.log.gz.txt
foreman-debug-g2g2r/var/log/puppetlabs/puppetserver/puppetserver-access-2017-10-10.0.log.gz.txt
foreman-debug-g2g2r/var/log/puppetlabs/puppetserver/puppetserver-2017-10-09.0.log.gz.txt
foreman-debug-g2g2r/var/log/puppetlabs/puppetserver/puppetserver-2017-10-08.0.log.gz.txt
foreman-debug-g2g2r/var/log/puppetlabs/puppetserver/puppetserver-2017-10-07.0.log.gz.txt
foreman-debug-g2g2r/var/log/puppetlabs/puppetserver/puppetserver-access-2017-10-07.0.log.gz.txt
foreman-debug-g2g2r/var/log/puppetlabs/puppetserver/puppetserver-access-2017-09-15.0.log.gz.txt
foreman-debug-g2g2r/var/log/puppetlabs/puppetserver/puppetserver-2017-09-22.0.log.gz.txt
foreman-debug-g2g2r/var/log/puppetlabs/puppetserver/puppetserver-2017-09-26.0.log.gz.txt
foreman-debug-g2g2r/var/log/puppetlabs/puppetserver/puppetserver-access-2017-10-06.0.log.gz.txt
foreman-debug-g2g2r/var/log/puppetlabs/puppetserver/puppetserver-2017-09-29.0.log.gz.txt
foreman-debug-g2g2r/var/log/puppetlabs/puppetserver/puppetserver-2017-09-12.0.log.gz.txt
foreman-debug-g2g2r/var/log/puppetlabs/puppetserver/puppetserver-access-2017-09-30.0.log.gz.txt
foreman-debug-g2g2r/var/log/puppetlabs/puppetserver/puppetserver-access-2017-09-17.0.log.gz.txt
foreman-debug-g2g2r/var/log/puppetlabs/puppetserver/puppetserver-access-2017-09-26.0.log.gz.txt
foreman-debug-g2g2r/var/log/puppetlabs/puppetserver/puppetserver-access-2017-09-22.0.log.gz.txt
foreman-debug-g2g2r/var/log/puppetlabs/puppetserver/puppetserver-access.log
foreman-debug-g2g2r/var/log/puppetlabs/puppetserver/puppetserver-access-2017-09-21.0.log.gz.txt
foreman-debug-g2g2r/var/log/puppetlabs/puppetserver/puppetserver-2017-09-30.0.log.gz.txt
foreman-debug-g2g2r/var/log/puppetlabs/puppetserver/puppetserver-2017-09-28.0.log.gz.txt
foreman-debug-g2g2r/var/log/puppetlabs/puppetserver/puppetserver-2017-09-18.0.log.gz.txt
foreman-debug-g2g2r/var/log/puppetlabs/puppetserver/puppetserver-access-2017-09-18.0.log.gz.txt
foreman-debug-g2g2r/var/log/puppetlabs/puppetserver/puppetserver-2017-10-02.0.log.gz.txt
foreman-debug-g2g2r/var/log/puppetlabs/puppetserver/puppetserver-2017-09-14.0.log.gz.txt
foreman-debug-g2g2r/var/log/puppetlabs/puppetserver/puppetserver-access-2017-10-02.0.log.gz.txt
foreman-debug-g2g2r/var/log/puppetlabs/puppetserver/puppetserver-access-2017-09-28.0.log.gz.txt
foreman-debug-g2g2r/var/log/puppetlabs/puppetserver/puppetserver-2017-09-25.0.log.gz.txt
foreman-debug-g2g2r/var/log/puppetlabs/puppetserver/puppetserver-2017-09-20.0.log.gz.txt
foreman-debug-g2g2r/var/log/puppetlabs/puppetserver/puppetserver-access-2017-10-05.0.log.gz.txt
foreman-debug-g2g2r/var/log/puppetlabs/puppetserver/puppetserver-access-2017-10-04.0.log.gz.txt
foreman-debug-g2g2r/var/log/puppetlabs/puppetserver/puppetserver-access-2017-09-13.0.log.gz.txt
foreman-debug-g2g2r/var/log/puppetlabs/puppetserver/puppetserver-2017-09-21.0.log.gz.txt
foreman-debug-g2g2r/var/log/puppetlabs/puppetserver/puppetserver-2017-09-23.0.log.gz.txt
foreman-debug-g2g2r/var/log/puppetlabs/puppetserver/puppetserver-2017-09-16.0.log.gz.txt
foreman-debug-g2g2r/var/log/puppetlabs/puppetserver/puppetserver-access-2017-10-08.0.log.gz.txt
foreman-debug-g2g2r/var/log/puppetlabs/puppetserver/puppetserver-access-2017-09-23.0.log.gz.txt
foreman-debug-g2g2r/var/log/puppetlabs/puppetserver/puppetserver-access-2017-09-24.0.log.gz.txt
foreman-debug-g2g2r/var/log/puppetlabs/puppetserver/puppetserver-2017-10-01.0.log.gz.txt
foreman-debug-g2g2r/var/log/puppetlabs/puppetserver/puppetserver-2017-09-24.0.log.gz.txt
foreman-debug-g2g2r/var/log/puppetlabs/puppetserver/puppetserver-access-2017-09-19.0.log.gz.txt
foreman-debug-g2g2r/var/log/puppetlabs/puppetserver/puppetserver-2017-09-19.0.log.gz.txt
foreman-debug-g2g2r/var/log/puppetlabs/puppetserver/puppetserver-2017-10-03.0.log.gz.txt
foreman-debug-g2g2r/var/log/puppetlabs/puppetserver/puppetserver-2017-09-27.0.log.gz.txt
foreman-debug-g2g2r/var/log/puppetlabs/puppetserver/puppetserver-2017-09-13.0.log.gz.txt
foreman-debug-g2g2r/var/log/puppetlabs/puppetserver/puppetserver-2017-09-17.0.log.gz.txt
foreman-debug-g2g2r/var/log/puppetlabs/puppetserver/puppetserver-access-2017-10-03.0.log.gz.txt
foreman-debug-g2g2r/var/log/puppetlabs/puppetserver/puppetserver-access-2017-09-14.0.log.gz.txt
foreman-debug-g2g2r/var/log/puppetlabs/puppetserver/puppetserver-access-2017-09-29.0.log.gz.txt
foreman-debug-g2g2r/var/log/puppetlabs/puppetserver/puppetserver.log
foreman-debug-g2g2r/var/log/puppetlabs/puppetserver/puppetserver-access-2017-09-16.0.log.gz.txt
foreman-debug-g2g2r/version_puppet
foreman-debug-g2g2r/puppet_manifests_tree

>>> foreman-debug both on Satellite and Capsule grabs after puppet4 configs/logs, ssl certs/keys

Comment 8 Lukáš Hellebrandt 2017-10-11 14:33:43 UTC
Also verified on Sat6.3 CAPSULE snap 19 with Puppet 3 against Sat6.3 snap 19 AND Sat6.3 snap 19 with Puppet 3 and 4.

Couldn't verify on Capsule with Puppet 4 due to bug 1500818.

Used the same steps as lpramuk.

Comment 9 Bryan Kearney 2018-02-21 16:39:05 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336

Comment 10 Bryan Kearney 2018-02-21 16:40:35 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336

Comment 11 pm-sat@redhat.com 2018-02-21 16:54:17 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> 
> For information on the advisory, and where to find the updated files, follow the link below.
> 
> If the solution does not work for you, open a new bug report.
> 
> https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.